Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class HtmlBeanWizard

    java.lang.Object
      com.atomikos.beans.HtmlBeanWizard

    public class HtmlBeanWizard

extends Object

A wizard class for HTML platforms. An instance can be used to configure a bean in an HTML browser. Indexed properties are NOT supported.

Constructor Summary
`HtmlBeanWizard()`

Method Summary
`String[]` | `getPropertyNames()`
`Object` | `getPropertyValue(String propertyName)`
`void` | `parseProperties(javax.servlet.http.HttpServletRequest request)` Parse the name, value pairs from the given request.
`void` | `setClassName(String name)` Set the class name of the underlying bean.
`void` | `setProperty(String name, String value)`
`void` | `showPropertiesInForm(javax.servlet.http.HttpServletResponse response)` Include the description of the properties in the given response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlBeanWizard

    public HtmlBeanWizard()

Method Detail

### setClassName

    public void setClassName(String name)
                      throws ClassNotFoundException

  Set the class name of the underlying bean. This method should be called before using the instance.

  Parameters:
    `name` -
  Throws:
    `ClassNotFoundException` - If the class is not found.

### getPropertyNames

    public String[] getPropertyNames()
                              throws PropertyException

  Throws:
    `PropertyException`

### getPropertyValue

    public Object getPropertyValue(String propertyName)
                            throws PropertyException

  Throws:
    `PropertyException`

### showPropertiesInForm

    public void showPropertiesInForm(javax.servlet.http.HttpServletResponse response)

  Include the description of the properties in the given response. This should be in an HTML form.

  Parameters:
    `response` -

### parseProperties

    public void parseProperties(javax.servlet.http.HttpServletRequest request)
                         throws javax.servlet.ServletException,
                                ReadOnlyException

  Parse the name, value pairs from the given request. This request should be the POST of a form generated by showProperties.

  Parameters:
    `request` -
  Throws:
    `javax.servlet.ServletException`
    `ReadOnlyException`

### setProperty

    public void setProperty(String name,
                            String value)
                     throws ReadOnlyException,
                            PropertyException

  Throws:
    `ReadOnlyException`
    `PropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.